import chalk from "chalk";
import chalkAnimation from "chalk-animation";
import inquirer from "inquirer";
import fs from "fs";
import fsEx from "fs-extra";
import path from "path";

// Set the Animation
const rainbow = chalkAnimation.rainbow("Create New Web");

const questions = [
  {
    type: "input",
    name: "projectName",
    message: "Whats the name of your project?",
  },
];

rainbow.start();

inquirer.prompt(questions).then((a) => {
  rainbow.stop();

  if (fs.existsSync(a.projectName)) {
    console.log(chalk.bgRedBright("The project already exits"));
  } else {
    // Time of the process
    const time = Date.now();

    fsEx.mkdirpSync(a.projectName);

    try {
      fsEx.copySync(
        fsEx.copySync(
          path.join("./src/templates/basic"),
          path.join(a.projectName)
        )
      );
    } catch (error) {
      return;
    }
  }
});
